> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline a derogation



## OpenAPI

````yaml /openapi.json post /derogations/{derogationId}/decline
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /derogations/{derogationId}/decline:
    post:
      tags:
        - derogations
      summary: Decline a derogation
      operationId: DerogationController_oldDeclineDerogation
      parameters:
        - name: derogationId
          required: true
          in: path
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OldDerogationFinalizeDerogationOutput'
      deprecated: true
components:
  schemas:
    OldDerogationFinalizeDerogationOutput:
      type: object
      properties:
        derogationId:
          type: string
        status:
          type: string
      required:
        - derogationId
        - status

````